package cn.iocoder.yudao.module.jx.service;


import cn.iocoder.yudao.module.jx.domain.SopeNess;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 经营范围Service接口
 *
 * @author ruoyi
 * @date 2024-05-23
 */
public interface ISopeNessService
{
    /**
     * 查询经营范围
     *
     * @param id 经营范围主键
     * @return 经营范围
     */
    public SopeNess selectSopeNessById(Long id);

    /**
     * 查询经营范围列表
     *
     * @param sopeNess 经营范围
     * @return 经营范围集合
     */
    public IPage<SopeNess> selectSopeNessList(SopeNess sopeNess, Page<SopeNess> page);

    /**
     * 新增经营范围
     *
     * @param sopeNess 经营范围
     * @return 结果
     */
    public int insertSopeNess(SopeNess sopeNess);

    /**
     * 修改经营范围
     *
     * @param sopeNess 经营范围
     * @return 结果
     */
    public int updateSopeNess(SopeNess sopeNess);

    /**
     * 批量删除经营范围
     *
     * @param ids 需要删除的经营范围主键集合
     * @return 结果
     */
    public int deleteSopeNessByIds(Long[] ids);

    /**
     * 删除经营范围信息
     *
     * @param id 经营范围主键
     * @return 结果
     */
    public int deleteSopeNessById(Long id);
}
